import telebot

### LOAD TOKEN ###
import json, os

if not os.path.exists('db.json'):
	db = {"token": "None"}
	js = json.dumps(db, indent=2)
	with open("db.json", "w") as outfile:
		outfile.write(js)

	print('Input token in "None" (db.json)')
	exit()
with open('db.json', 'r') as openfile:
	db = json.load(openfile)

API_TOKEN = db["token"]
bot = telebot.TeleBot(API_TOKEN)
##################


@bot.message_handler(commands=['help', 'start'])
def send_welcome(message):
	bot.reply_to(message, "Скоро...")



### MAIN ###
from api import *

setted_models = {}

@bot.message_handler(commands=['model'])
def set_model(message):
	global setted_models, iddb
	try:
		iddb.pop(str(message.chat.id))
	except:
		pass

	model = message.text.split()[1]
	if model == "0.1" or model == "0.2":
		setted_models[str(message.chat.id)] = model
		bot.reply_to(message, "Установлена новая модель 🤖")
	else:
		bot.reply_to(message, "Неизвестная модель")



@bot.message_handler(func=lambda message: True)
def echo_message(message):
	global setted_models
	prompt = 'Отвечай кратко не давая никакой лишней информации и не делая своих умозаключений. \n\n' + message.text

	id = str(message.chat.id)
	if id not in setted_models:
		setted_models[id] = "0.1"
	bot.reply_to(message, gen(prompt, message.chat.id, setted_models[id]))

############

bot.infinity_polling()
